The Country resource represents the tax rates applied to orders and used currency from the different countries where a shop sells its products.
GET /accounts/{accountId}/countries

Get a list of countries for your account. Each country carries its tax rates and currency configuration for the markets where the account's shops sell.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
filterId query   optional saved Filter.Country ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Codes
Code Condition
200 the list of countries was successfully retrieved
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/countries/{countryId}

Get a single country by its id.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
countryId required path   int the unique identifier of the country
Response Codes
Code Condition
200 the country was successfully retrieved
404 no country with the given id exists on the account
Response Body
Media Type Data Type Description
application/json Country
application/xml Country
Response (XML)
<country>
  <id>...</id>
  <code>UK</code>
  <name>United Kingdom</name>
  <standardVat>
    <id>...</id>
    <percentValue>19</percentValue>
  </standardVat>
  <reducedVat>
    <id>...</id>
    <percentValue>19</percentValue>
  </reducedVat>
  <currency>
    <id>...</id>
    <code>EUR</code>
    <symbol>€</symbol>
    <name>Euro</name>
  </currency>
  <pricePrecision>2</pricePrecision>
  <priceFractionalDigits>2</priceFractionalDigits>
  <default>...</default>
</country>
Response (JSON)
{
  "country" : {
    "id" : 12345,
    "code" : "UK",
    "name" : "United Kingdom",
    "standardVat" : {
      "id" : 12345,
      "percentValue" : 19.0
    },
    "reducedVat" : {
      "id" : 12345,
      "percentValue" : 19.0
    },
    "currency" : {
      "id" : 12345,
      "code" : "EUR",
      "symbol" : "€",
      "name" : "Euro"
    },
    "pricePrecision" : 2,
    "priceFractionalDigits" : 2,
    "default" : true
  }
}